const mbrLastMode = flow.get('mbrLastMode', "diskCon")
const linkSource = msg._linkSource

let setTime = []
let setType = []
let setTopic = []

if (mbrLastMode === 'day') {
    setTime = 'day'
    setType = 'manual'
    setTopic = 'manual-day'
} else if (mbrLastMode === 'night') {
    setTime = 'night'
    setType = 'manual'
    setTopic = 'manual-night'
} else if (mbrLastMode === 'bedtime') {
    setTime = 'bedtime'
    setType = 'manual'
    setTopic = 'manual-bedtime'
}

let reset = {
    "type": setType,
    "time": setTime,
    "topic": setTopic,
    "_linkSource": linkSource
}

node.send(reset)
node.status({ fill: "green", shape: "dot", text: `Mode reset to ${setTopic}`})