const states = global.get("homeassistant.homeAssistant.states")
const sleeping = states["input_boolean.master_bedroom_sleeping"].state
const earlyNight = states["binary_sensor.early_night_mode"].state
const giveMeDarkness = states["input_boolean.give_me_darkness"].state
const nightMode = states["input_boolean.night_mode"].state
const goodnight = states["input_boolean.goodnight"].state
const coolingActive = states['input_boolean.master_bedroom_cooling_on'].state

let mbrLastMode = []

if (sleeping === 'on' || nightMode === 'on' || goodnight === 'on') {
    mbrLastMode = 'bedtime'
} else if (earlyNight === 'on' || giveMeDarkness === 'on' || coolingActive === 'on') {
    mbrLastMode = 'night'
} else {
    mbrLastMode = 'day'
}

flow.set("mbrLastMode", mbrLastMode, "diskCon")
node.status({ fill: "green", shape: "dot", text: `Last Mode Set: ${mbrLastMode}`})